/*
* Enjoy Movies Your Way
* cast-receiver/index.css
*
*/

html {
    overflow: hidden;
    font-size: 0.625vw;
    font-family: "Indivisible", "Lucida Grande", Helvetica, Arial, sans-serif;
    --ui-scale: calc(1rem / 12px);
}
@media (min-aspect-ratio: 16/9) {
    html {
        font-size: calc(1vh / 0.9) !important;
    }
}

body {
    width: 100vw;
    height: 100vh;
    background-color: #001B20;
    margin: 0;
    caret-color: transparent;
    overflow: auto;
}

.app-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background-color: #000a10; */
}

.app-background > img {
    width: 100%;
    transition: opacity 1500ms 1000ms;
}

@media (max-aspect-ratio: 16 / 9) {
    .app-background > img {
        height: 100%;
        width: unset;
    }
}

.app-background > .app-version {
    position: absolute;
    bottom: 1.5rem;
    right: 1.5rem;
    font-size: 1.25rem;
    line-height: 1em;
    color: rgba(255, 255, 255, 0.18);
    letter-spacing: 0.0625em;
}

#app-main {
    position: absolute;
    width: 100%;
    height: 100%;
}

#logger-container > * {
    box-sizing: border-box;;
}

#logger-container #enjoy-log-overlay {
    font-size: 2rem;
}

#logger-container .enjoy-log-box {
    font-size: 1.428rem;
}

#logger-container .enjoy-log-box > div > div > div {
    font-size: 1.428rem;
    width: 3260%;
    padding: 0;
}

.enjoy-log-scroll-helper {
    display: none;
}
